include(FetchContent)

if(NOT DEFINED FTXUI_REPO)
    set(FTXUI_REPO https://github.com/ArthurSonzogni/ftxui.git)
endif ()

FetchContent_Declare(
        ftxui
        EXCLUDE_FROM_ALL
        GIT_REPOSITORY ${FTXUI_REPO}
        GIT_TAG daa421fa6ad97c8a6c9bd43f77c81862bfa52c77
        GIT_SHALLOW FALSE
)
FetchContent_MakeAvailable(ftxui)